Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#2874 closed enhancement (fixed)

src/c/src/lib/libbsp/powerpc/beatnik/marvell/gt_timer.c: 4 * pointless check ?

Reported by: David Binderman Owned by: Sebastian Huber <sebastian.huber@…>
Priority: lowest Milestone: 5.1
Component: arch/powerpc Version: 4.11
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

[src/c/src/lib/libbsp/powerpc/beatnik/marvell/gt_timer.c:102]: (style) Checking if unsigned variable 'timer' is less than zero.
[src/c/src/lib/libbsp/powerpc/beatnik/marvell/gt_timer.c:109]: (style) Checking if unsigned variable 'timer' is less than zero.
[src/c/src/lib/libbsp/powerpc/beatnik/marvell/gt_timer.c:117]: (style) Checking if unsigned variable 'timer' is less than zero.
[src/c/src/lib/libbsp/powerpc/beatnik/marvell/gt_timer.c:128]: (style) Checking if unsigned variable 'timer' is less than zero.

Parameter "timer" is only ever type uint32_t, so any check < 0 seem pointless.

Change History (4)

comment:1 Changed on 01/20/17 at 13:23:31 by Sebastian Huber <sebastian.huber@…>

Owner: set to Sebastian Huber <sebastian.huber@…>
Resolution: fixed
Status: newclosed

In [changeset:"e8606d5b90048b9a5feba09430ac356c422eee7d/rtems"]:

bsp/beatnik: Remove superfluous check

Close #2874.

comment:2 Changed on 05/11/17 at 07:31:02 by Sebastian Huber

Milestone: 4.124.12.0

comment:3 Changed on 10/16/17 at 06:25:10 by Sebastian Huber

Component: unspecifiedarch/powerpc

comment:4 Changed on 11/09/17 at 06:27:14 by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.